package com.example.myapplication.database.entities.repository

import androidx.paging.PagingData
import com.example.myapplication.database.entities.model.Rent
import com.example.myapplication.database.entities.model.ItemFromRent
import kotlinx.coroutines.flow.Flow

interface RentRepository {
    fun getAllRents(userId: Int?): Flow<PagingData<Rent>>
    suspend fun getRent(uid: Int): List<ItemFromRent>
    suspend fun insertRent(rent: Rent): Long
    suspend fun deleteRent(rent: Rent)
}